%if 0%{?rhel} && 0%{?rhel} <= 6
%global python python27
%global tk27 tkinter27
%else
%global python python
%global tk27 tkinter
%endif

%global pypi_name tox
%global __sum Virtualenv-based automation of test activities
%global __desc Tox as is a generic virtualenv management and test command line tool you can use for: - checking your package installs correctly with different Python versions and interpreters - running your tests in each of the environments, configuring your test tool of choice - acting as a frontend to Continuous Integration servers, greatly reducing boilerplate and merging CI and shell-based testing.

Name:           %{python}-%{pypi_name}
Version:        2.7.0
Release:        2%{?dist}
Summary:        %{__sum}

Group:          Development/Languages
License:        MIT
URL:            http://pypi.python.org/pypi/%{pypi_name}/
Source0:        https://pypi.io/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

Provides:       %{python}-%{pypi_name} = %{version}-%{release}

Requires:       %{python}-pluggy
Requires:       %{python}-py
Requires:       %{python}-setuptools
Requires:       %{python}-virtualenv

BuildRequires:  %{python}-devel
BuildRequires:  %{python}-setuptools
BuildRequires:  python36-devel
BuildRequires:  python36-setuptools


%description
%{__desc}

This is the Python 2 build of the module.


%package -n python36-%{pypi_name}
Summary:        %{__sum}
Group:          Development/Languages
Requires:       python36-pluggy
Requires:       python36-py
Requires:       python36-setuptools
Requires:       python36-virtualenv
Provides:       python36-%{pypi_name} = %{version}-%{release}

%description -n python36-%{pypi_name}
%{__desc}

This is the Python 3 build of the module.


%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py36_build
%py27_build


%install
%py36_install
mv %{buildroot}/%{_bindir}/tox %{buildroot}/%{_bindir}/tox-3.6

%py27_install
cp %{buildroot}/%{_bindir}/tox %{buildroot}/%{_bindir}/tox-2.7


%files
%{!?_licensedir:%global license %%doc}
%license LICENSE
%doc doc/*
%{_bindir}/tox
%{_bindir}/tox-quickstart
%{_bindir}/tox-2.7
%{python27_sitelib}/*


%files -n python36-%{pypi_name}
%{!?_licensedir:%global license %%doc}
%license LICENSE
%doc doc/*
%{_bindir}/tox-3.6
%{python36_sitelib}/*


%changelog

